Bug 823742 - RFE: provide wrapper for edit-node tool that will provide access to only DUP injection functions
RFE: provide wrapper for edit-node tool that will provide access to only DUP...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.4
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Joey Boggs
Virtualization Bugs
: FutureFeature
Depends On:
Blocks: 816255 823651 839774
  Show dependency treegraph
 
Reported: 2012-05-21 23:13 EDT by Mike Burns
Modified: 2016-04-26 09:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 13:27:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Burns 2012-05-21 23:13:43 EDT
Description of problem:
We are supporting plugin injection only in the case of DUPs.  In this case, we should only be providing access to the rpm installation and initramfs rebuild functionality in edit-node.  

To accomplish this, we should provide a tools called something like "rhevh-dup-injection"  that will be documented and provide access to only those functions needed by dup injection.

The tool should be in the default path and call edit-node internally
Comment 1 RHEL Product and Program Management 2012-07-10 04:22:14 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 21:49:18 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Note You need to log in before you can comment on or make changes to this bug.